#! /bin/bash

if ! which tpl; then
   go install github.com/bluebrown/go-template-cli/cmd/tpl@latest
fi &> /dev/null
if ! which gojq; then
   go install github.com/itchyny/gojq@latest
fi &> /dev/null

while sleep 1; do
   clear
   cat ./homebrew.yaml \
   | gojq --yaml-input . \
   | tpl --file homebrew.tmpl \
   | tee ./homebrew.html
done
